Skip to content

Get Project

V2ProjectGetResponse V2Projects.Get(V2ProjectGetParamsparameters, CancellationTokencancellationToken = default)
GET/api/v2/projects/{project_id}

Get a project by ID.

ParametersExpand Collapse
V2ProjectGetParams parameters
required string projectID
string? organizationID
ReturnsExpand Collapse
class V2ProjectGetResponse:

API response schema for a project.

required string ID

The project’s unique identifier.

required string Name

The project’s display name.

required string OrganizationID

The organization the project belongs to.

DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
Boolean IsDefault

Whether this project is the default project for its organization.

DateTimeOffset? UpdatedAt

Update datetime

formatdate-time

Get Project

V2ProjectGetParams parameters = new()
{
    ProjectID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
};

var v2Project = await client.V2Projects.Get(parameters);

Console.WriteLine(v2Project);
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/